<template>
  <div class="navbar-item has-dropdown is-hoverable">
    <NuxtLink class="navbar-link" :to="category.top"> {{ category.ja }}</NuxtLink>
    <div class="navbar-dropdown">
      <NuxtLink
        class="navbar-item"
        v-for="(itm, cx) in category.items"
        :to="category.top + itm.href"
        :key="'hd_' + cx"
      >
        {{ itm.ja }}
      </NuxtLink>
      <!-- <NuxtLink class="navbar-item" to="/zh2ja">
            中国語 → 日本語
          </NuxtLink>
          <hr class="navbar-divider" />
          <a class="navbar-item"> その他 </a>
        </div> -->
    </div>
  </div>
</template>

<script setup lang="ts">
import type { NavCategory } from "../../composables/navs";
interface Props {
  category: NavCategory;
}
const props = defineProps<Props>();
</script>